# include <stdio.h>
# include "conf.h"
# include "config.h"

struct conf_t default_conf[] = {
    /***  Gateway server networking values. ***/
    { "GatewayAddr",	"0.0.0.0" },
    { "GatewayPort",	"5280" },
    { "ListenQueue",	"10" },
    { "HandleTimeout",	"3"  },
    { "IdleTimeout",	"300" },
    { "MaxMissedARP",	"2" },
    { "ExternalDevice",	NULL },
    { "InternalDevice",	NULL },
    { "LocalNetwork",	NULL },

    { "FirewallPath",	NC_FIREWALL_PATH },
    { "ResetCmd",	"$FirewallPath/initialize.fw" },
    { "PermitCmd",	"$FirewallPath/access.fw permit $MAC $IP $Class" },
    { "DenyCmd",	"$FirewallPath/access.fw deny $MAC $IP $Class" },
    { "InitCmd",	"$FirewallPath/reset.fw" },

    { "GatewayName",	"the NoCat Network" },
    { "HomePage",	"http://nocat.net/" },
    { "SplashForm",	"splash.html" },
    /***  No. of seconds before logins/renewals expire. ***/
    { "LoginTimeout",	 "300" },
    { "MinLoginTimeout", "60" },

    /***  Fraction of LoginTimeout to loiter before renewing. ***/
    { "RenewTimeout",	 ".75" },

    /***  Where to look for form templates? ***/
    { "DocumentRoot",	 NC_DOCUMENT_ROOT },
    /***  Default log level. ***/
    { "Verbosity",	 "5" },
    { "LogFacility",	 "internal" },
    { "SyslogSocket",	 "unix" },
    { "SyslogOptions",	 "pid,cons,nowait" },
    { "SyslogPriority",  "info" },
    { "SyslogFacility",  "user" },
    { "SyslogIdent",	 "NoCat" },

    /*** Trailing NULL ***/
    { NULL, NULL }
};
